import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('design')
export class Design extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  zhTitle: string;
  @Column({ type: 'character varying', nullable: true, comment: '英文标题' })
  zhEnglish: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  zhBrief: string;
  @Column({ type: 'text', nullable: true, comment: '使用协议' })
  agreement: string;
  @Column({ type: 'text', nullable: true, comment: '关于我们' })
  brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: 'logo' })
  logoUrl: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '视频' })
  videoUrl: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '网站底部信息' })
  footInfo: object;
}
