import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('tags')
export class Tags extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  title: string;
  @Column({ type: 'character varying', nullable: true, comment: '类型', default: '1' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '路由' })
  href: string;
  @Column({ type: 'character varying', nullable: true, comment: '英文标题' })
  English: string;
  @Column({ type: 'jsonb', nullable: true, comment: '子菜单' })
  children: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'character varying', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
}
