import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_demand {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  'type': string = undefined;
  @ApiProperty({ description: '行业领域' })
  'field': string = undefined;
  @ApiProperty({ description: '需求紧急度' })
  'urgent': string = undefined;
  @ApiProperty({ description: '合作方式' })
  'method': string = undefined;
  @ApiProperty({ description: '有效期' })
  'time': Array<any> = undefined;
  @ApiProperty({ description: '价格' })
  'money': string = undefined;
  @ApiProperty({ description: '需求地区' })
  'area': Array<any> = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '需求状态' })
  'demand_status': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
}

export class QDTO_demand {
  @ApiProperty({ description: '用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  'type': string = undefined;
  @ApiProperty({ description: '行业领域' })
  'field': string = undefined;
  @ApiProperty({ description: '合作方式' })
  'method': string = undefined;
  @ApiProperty({ description: '需求紧急度' })
  'urgent': string = undefined;
  @ApiProperty({ description: '需求状态' })
  'demand_status': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
}

export class QVO_demand extends FVO_demand {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_demand {
  @ApiProperty({ description: '用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  @Rule(RuleType['string']().empty(''))
  'type': string = undefined;
  @ApiProperty({ description: '行业领域' })
  @Rule(RuleType['string']().empty(''))
  'field': string = undefined;
  @ApiProperty({ description: '需求紧急度' })
  @Rule(RuleType['string']().empty(''))
  'urgent': string = undefined;
  @ApiProperty({ description: '合作方式' })
  @Rule(RuleType['string']().empty(''))
  'method': string = undefined;
  @ApiProperty({ description: '有效期' })
  @Rule(RuleType['array']().empty(''))
  'time': Array<any> = undefined;
  @ApiProperty({ description: '价格' })
  @Rule(RuleType['string']().empty(''))
  'money': string = undefined;
  @ApiProperty({ description: '需求地区' })
  @Rule(RuleType['array']().empty(''))
  'area': Array<any> = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '需求状态' })
  @Rule(RuleType['string']().empty(''))
  'demand_status': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_demand extends FVO_demand {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_demand extends CDTO_demand {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_demand extends FVO_demand {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
